# Summary

* [第一部分: Python从0到1](Part1/简介.md)
    * [第一章: Python基础知识](Part1/Chapter1/简介.md)
        * [1.1 Python基础]()
            * [1.1.1 Hello, Python](Part1/Chapter1/1.1 Python基础/1.1.1 Hello，Python.md)
            * [1.1.2 数据类型与变量](Part1/Chapter1/1.1 Python基础/1.1.2 数据类型与运算.md)
            * [1.1.3 数据结构](Part1/Chapter1/1.1 Python基础/1.1.3 数据结构.md)
            * [1.1.4 分支与循环](Part1/Chapter1/1.1 Python基础/1.1.4 分支与循环.md)
        * [1.2 Python进阶]()
            * [1.2.1 函数](Part1/Chapter1/1.2 Python进阶/1.2.1 函数.md)
            * [1.2.2 模块](Part1/Chapter1/1.2 Python进阶/1.2.2 模块.md)
            * [1.2.3 类与对象](Part1/Chapter1/1.2 Python进阶/1.2.3 类与对象.md)
            * [1.2.4 文件IO](Part1/Chapter1/1.2 Python进阶/1.2.4 文件IO.md)
            * [1.2.5 异常处理](Part1/Chapter1/1.2 Python进阶/1.2.5 异常处理.md)
            * [1.2.6 正则表达式](Part1/Chapter1/1.2 Python进阶/1.2.6 正则表达式.md)
    * [第二章：数值计算利器---NumPy](Part1/Chapter2/简介.md)
        * [2.1: NumPy基础]()
            * [2.1.1 ndarray对象](Part1/Chapter2/2.1 NumPy基础/2.1.1 ndarray对象.md)
            * [2.1.2 形状操作](Part1/Chapter2/2.1 NumPy基础/2.1.2 形状操作.md)
            * [2.1.3 基础操作](Part1/Chapter2/2.1 NumPy基础/2.1.3 基础操作.md)
            * [2.1.4 随机数生成](Part1/Chapter2/2.1 NumPy基础/2.1.4 随机数生成.md)
            * [2.1.5 索引与切片](Part1/Chapter2/2.1 NumPy基础/2.1.5 索引与切片.md)
        * [2.2: NumPy进阶]()
            * [2.2.1 堆叠操作](Part1/Chapter2/2.2 NumPy进阶/2.2.1 堆叠操作.md)
            * [2.2.2 花式索引与布尔索引](Part1/Chapter2/2.2 NumPy进阶/2.2.2 花式索引与布尔索引.md)
            * [2.2.3 广播机制](Part1/Chapter2/2.2 NumPy进阶/2.2.3 广播机制.md)
            * [2.2.4 线性代数](Part1/Chapter2/2.2 NumPy进阶/2.2.4 线性代数.md)
            * [2.2.5 排序和条件筛选](Part1/Chapter2/2.2 NumPy进阶/2.2.5排序和条件筛选.md)
            * [2.2.6 结构化数组](Part1/Chapter2/2.2 NumPy进阶/2.2.6结构化数组.md)
    * [第三章：结构化数据大杀器---Pandas](Part1/Chapter3/简介.md)
        * [3.1 Pandas基础]()
            * [3.1.1 Series对象](Part1/Chapter3/3.1 Pandas基础/3.1.1Series对象.md)
            * [3.1.2 DataFrame对象](Part1/Chapter3/3.1 Pandas基础/3.1.2DateFrame对象.md)
            * [3.1.3 Index对象](Part1/Chapter3/3.1 Pandas基础/3.1.3Index对象.md)
            * [3.1.4 Series对象数据选择](Part1/Chapter3/3.1 Pandas基础/3.1.4Series数据选择.md)
            * [3.1.5 DataFrame数据选择方法](Part1/Chapter3/3.1 Pandas基础/3.1.5DataFrame数据选择方法.md)
            * [3.1.6 数值运算方法](Part1/Chapter3/3.1 Pandas基础/3.1.6数值运算方法.md)
            * [3.1.7 数值运算与缺失值处理](Part1/Chapter3/3.1 Pandas基础/3.1.7数值运算与缺失值处理.md)
        * [3.2 Pandas进阶]()
            * [3.2.1 多级索引的取值与切片](Part1/Chapter3/3.2 Pandas进阶/3.2.1多级索引的取值与切片.md)
            * [3.2.2 多级索引的数据转换与累计方法](Part1/Chapter3/3.2 Pandas进阶/3.2.2多级索引的数据转换与累计方法.md)
            * [3.2.3 Concat与Append操作](Part1/Chapter3/3.2 Pandas进阶/3.2.3Concat与Append操作.md)
            * [3.2.4 合并与连接](Part1/Chapter3/3.2 Pandas进阶/3.2.4合并与连接.md)
            * [3.2.5 分组聚合](Part1/Chapter3/3.2 Pandas进阶/3.2.5分组聚合.md)
            * [3.2.6 创建透视表和交叉表](Part1/Chapter3/3.2 Pandas进阶/3.2.6创建透视表和交叉表.md)
            * [3.2.7 字符串操作方法](Part1/Chapter3/3.2 Pandas进阶/3.2.7字符串操作方法.md)
            * [3.2.8 日期与时间工具](Part1/Chapter3/3.2 Pandas进阶/3.2.8日与时间工具.md)
            * [3.2.9 时间序列的高级应用](Part1/Chapter3/3.2 Pandas进阶/3.2.9时间序列的高级应用.md)
    * [第四章：可视化工具---Matplotlib](Part1/Chapter4/简介.md)
        * [4.1 Matplotlib基础]()
            * [4.1.1 画图接口](Part1/Chapter4/4.1matplotlib基础/4.1.1画图接口.md)
            * [4.1.2 线形图](Part1/Chapter4/4.1matplotlib基础/4.1.2线形图.md)
            * [4.1.3 散点图](Part1/Chapter4/4.1matplotlib基础/4.1.3散点图.md)
            * [4.1.4 直方图](Part1/Chapter4/4.1matplotlib基础/4.1.4直方图.md)
            * [4.1.5 饼图](Part1/Chapter4/4.1matplotlib基础/4.1.5饼图.md)
            * [4.1.6 手动创建子图](Part1/Chapter4/4.1matplotlib基础/4.1.6手动创建子图.md)
            * [4.1.7 网格子图](Part1/Chapter4/4.1matplotlib基础/4.1.7网格子图.md)
            * [4.1.8 更复杂的排列方式](Part1/Chapter4/4.1matplotlib基础/4.1.8更复杂的排列方式.md)
        * [4.2 Matplotlib进阶]()
            * [4.2.1 配置颜色条](Part1/Chapter4/4.2matplotlib进阶/4.2.1配置颜色条.md)
            * [4.2.2 设置注释](Part1/Chapter4/4.2matplotlib进阶/4.2.2设置注释.md)
            * [4.2.3 自定义坐标刻度](Part1/Chapter4/4.2matplotlib进阶/4.2.3自定义坐标刻度.md)
            * [4.2.4 配置文件与样式表](Part1/Chapter4/4.2matplotlib进阶/4.2.4配置文件与样式表.md)
            * [4.2.5 绘制三维图](Part1/Chapter4/4.2matplotlib进阶/4.2.5绘制三维图.md)
            * [4.2.6 曲面三角剖分](Part1/Chapter4/4.2matplotlib进阶/4.2.6曲面三角剖分.md)
* [第二部分: 机器学习与综合实战](Part2/简介.md)
    * [第五章: 机器学习](Part2/Chapter5/简介.md)
        * [5.1 机器学习概述]()
            * [5.1.1 机器学习概述](Part2/Chapter5/5.1 机器学习概述/什么是机器学习.md)
            * [5.1.2 机器学习的主要内容](Part2/Chapter5/5.1 机器学习概述/机器学习的主要任务.md)
            * [5.1.3 怎样评估模型性能](Part2/Chapter5/5.1 机器学习概述/机器学习常见术语.md)
        * [5.2 监督学习]()
            * [5.2.1 近朱者赤近墨者黑---kNN](Part2/Chapter5/5.2 监督学习/近朱者赤近墨者黑---kNN.md)
            * [5.2.2 最简单的回归算法---线性回归](Part2/Chapter5/5.2 监督学习/最简单的回归算法---线性回归.md)
            * [5.2.3 别被我的名字蒙蔽了---逻辑回归](Part2/Chapter5/5.2 监督学习/别被我的名字蒙蔽了---逻辑回归.md)
            * [5.2.4 用概率说话---朴素贝叶斯分类器](Part2/Chapter5/5.2 监督学习/用概率说话---朴素贝叶斯分类器.md)
            * [5.2.5 最接近人类思维的算法---决策树](Part2/Chapter5/5.2 监督学习/最接近人类思维的算法---决策树.md)
            * [5.2.6 好还不够，我要最好---支持向量机](Part2/Chapter5/5.2 监督学习/好还不够，我要最好---支持向量机.md)
            * [5.2.7 群众的力量是伟大的---随机森林](Part2/Chapter5/5.2 监督学习/群众的力量是伟大的---随机森林.md)
            * [5.2.8 知错能改善莫大焉---Adaboost](Part2/Chapter5/5.2 监督学习/知错能改善莫大焉---Adaboost.md)
        * [5.3 无监督学习]()
            * [5.3.1 物以类聚人以群分---k-Means](Part2/Chapter5/5.3 无监督学习/物以类聚人以群分---k Means.md)
            * [5.3.2 用密度来聚类---DBSCAN](Part2/Chapter5/5.3 无监督学习/用密度来聚类---DBSCAN.md)
            * [5.3.3 分久必合---AGNES](Part2/Chapter5/5.3 无监督学习/分久必合---AGNES.md)
            * [5.3.4 最重要的才是我想要的---PCA](Part2/Chapter5/5.3 无监督学习/最重要的才是我想要的---PCA.md)
            * [5.3.5 不忘初心---多维缩放](Part2/Chapter5/5.3 无监督学习/不忘初心---多维缩放.md)

    * [第六章: 综合实战](Part2/Chapter6/简介.md)
        * [6.1 泰坦尼克生还预测]()
            * [6.1.1 简介](Part2/Chapter6/6.1 泰坦尼克生还预测/introduction.md)
            * [6.1.2 探索性数据分析](Part2/Chapter6/6.1 泰坦尼克生还预测/EDA.md)
            * [6.1.3 特征工程](Part2/Chapter6/6.1 泰坦尼克生还预测/特征工程.md)
            * [6.1.4 构建模型进行预测](Part2/Chapter6/6.1 泰坦尼克生还预测/构建模型进行预测.md)
            * [6.1.5 调参](Part2/Chapter6/6.1 泰坦尼克生还预测/调参.md)
        * [6.2 人脸性别识别]()
            * [6.2 人脸性别识别](Part2/Chapter6/6.2 人脸性别识别/简介.md)
            * [6.2.1 OpenCV入门](Part2/Chapter6/6.2 人脸性别识别/OpenCV入门.md)
            * [6.2.2 人脸位置检测](Part2/Chapter6/6.2 人脸性别识别/人脸位置检测.md)
            * [6.2.3 人脸性别识别](Part2/Chapter6/6.2 人脸性别识别/人脸性别识别.md)

